gstreamermm: Gst::Queue2 Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::Queue2 Class Reference
gstreamermm Plugins

A Wrapper for the queue2 plugin. More...

Inheritance diagram for Gst::Queue2:
[legend]
Collaboration diagram for Gst::Queue2:
[legend]

List of all members.

## Public Member Functions
virtual | ~Queue2 ()
GstQueue2* | gobj ()
| Provides access to the underlying C GObject.
const GstQueue2* | gobj () const
| Provides access to the underlying C GObject.
GstQueue2* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly < guint > | property_current_level_buffers () const
| Current number of buffers in the queue.
Glib::PropertyProxy_ReadOnly < guint > | property_current_level_bytes () const
| Current amount of data in the queue (bytes).
Glib::PropertyProxy_ReadOnly < guint64 > | property_current_level_time () const
| Current amount of data in the queue (in ns).
Glib::PropertyProxy< guint > | property_max_size_buffers ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_buffers () const
| Max.
Glib::PropertyProxy< guint > | property_max_size_bytes ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_bytes () const
| Max.
Glib::PropertyProxy< guint64 > | property_max_size_time ()
| Max.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_size_time () const
| Max.
Glib::PropertyProxy< bool > | property_use_buffering ()
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.
Glib::PropertyProxy_ReadOnly < bool > | property_use_buffering () const
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.
Glib::PropertyProxy< bool > | property_use_rate_estimate ()
| Estimate the bitrate of the stream to calculate time level.
Glib::PropertyProxy_ReadOnly < bool > | property_use_rate_estimate () const
| Estimate the bitrate of the stream to calculate time level.
Glib::PropertyProxy< int > | property_low_percent ()
| Low threshold for buffering to start.
Glib::PropertyProxy_ReadOnly< int > | property_low_percent () const
| Low threshold for buffering to start.
Glib::PropertyProxy< int > | property_high_percent ()
| High threshold for buffering to finish.
Glib::PropertyProxy_ReadOnly< int > | property_high_percent () const
| High threshold for buffering to finish.
Glib::PropertyProxy < Glib::ustring > | property_temp_template ()
| File template to store temporary files in, should contain directory and XXXXXX.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_temp_template () const
| File template to store temporary files in, should contain directory and XXXXXX.
Glib::PropertyProxy < Glib::ustring > | property_temp_location ()
| Location to store temporary files in (Deprecated: Only read this property, use temp-template to configure the name template).
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_temp_location () const
| Location to store temporary files in (Deprecated: Only read this property, use temp-template to configure the name template).
Glib::PropertyProxy< bool > | property_temp_remove ()
| Remove the temp-location after use.
Glib::PropertyProxy_ReadOnly < bool > | property_temp_remove () const
| Remove the temp-location after use.
Glib::PropertyProxy< guint64 > | property_ring_buffer_max_size ()
| Max.
Glib::PropertyProxy_ReadOnly < guint64 > | property_ring_buffer_max_size () const
| Max.
## Static Public Member Functions
static Glib::RefPtr< Queue2 > | create ()
| Creates a new queue2 plugin with a unique name.
static Glib::RefPtr< Queue2 > | create (const Glib::ustring& name)
| Creates a new queue2 plugin with the given name.
## Protected Member Functions
| Queue2 ()
| Queue2 (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Queue2 > | wrap (GstQueue2* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the queue2 plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::Queue2::~Queue2 | ( |  | ) | `[virtual]`

Gst::Queue2::Queue2 | ( |  | ) | `[protected]`

Gst::Queue2::Queue2 | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Queue2> Gst::Queue2::create | ( |  | ) | `[static]`

Creates a new queue2 plugin with a unique name.

static Glib::RefPtr<Queue2> Gst::Queue2::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new queue2 plugin with the given name.

GstQueue2* Gst::Queue2::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstQueue2* Gst::Queue2::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstQueue2* Gst::Queue2::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy_ReadOnly< guint > Gst::Queue2::property_current_level_buffers | ( |  | ) | const

Current number of buffers in the queue.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::Queue2::property_current_level_bytes | ( |  | ) | const

Current amount of data in the queue (bytes).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::Queue2::property_current_level_time | ( |  | ) | const

Current amount of data in the queue (in ns).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::Queue2::property_high_percent | ( |  | ) |

High threshold for buffering to finish.

Only used if use-buffering is True.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::Queue2::property_high_percent | ( |  | ) | const

High threshold for buffering to finish.

Only used if use-buffering is True.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::Queue2::property_low_percent | ( |  | ) |

Low threshold for buffering to start.

Only used if use-buffering is True.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::Queue2::property_low_percent | ( |  | ) | const

Low threshold for buffering to start.

Only used if use-buffering is True.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::Queue2::property_max_size_buffers | ( |  | ) |

Max.

number of buffers in the queue (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::Queue2::property_max_size_buffers | ( |  | ) | const

Max.

number of buffers in the queue (0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::Queue2::property_max_size_bytes | ( |  | ) |

Max.

amount of data in the queue (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::Queue2::property_max_size_bytes | ( |  | ) | const

Max.

amount of data in the queue (bytes, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::Queue2::property_max_size_time | ( |  | ) |

Max.

amount of data in the queue (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::Queue2::property_max_size_time | ( |  | ) | const

Max.

amount of data in the queue (in ns, 0=disable).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::Queue2::property_ring_buffer_max_size | ( |  | ) |

Max.

amount of data in the ring buffer (bytes, 0 = disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::Queue2::property_ring_buffer_max_size | ( |  | ) | const

Max.

amount of data in the ring buffer (bytes, 0 = disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::Queue2::property_temp_location | ( |  | ) |

Location to store temporary files in (Deprecated: Only read this property, use temp-template to configure the name template).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::Queue2::property_temp_location | ( |  | ) | const

Location to store temporary files in (Deprecated: Only read this property, use temp-template to configure the name template).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::Queue2::property_temp_remove | ( |  | ) |

Remove the temp-location after use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::Queue2::property_temp_remove | ( |  | ) | const

Remove the temp-location after use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::Queue2::property_temp_template | ( |  | ) |

File template to store temporary files in, should contain directory and XXXXXX.

(NULL == disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::Queue2::property_temp_template | ( |  | ) | const

File template to store temporary files in, should contain directory and XXXXXX.

(NULL == disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::Queue2::property_use_buffering | ( |  | ) |

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::Queue2::property_use_buffering | ( |  | ) | const

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::Queue2::property_use_rate_estimate | ( |  | ) |

Estimate the bitrate of the stream to calculate time level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::Queue2::property_use_rate_estimate | ( |  | ) | const

Estimate the bitrate of the stream to calculate time level.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::Queue2 > wrap | ( | GstQueue2 * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/queue2.h